enum Flavor {
  DEVELOPMENT,
  PRODUCTION
}

class Config {
  static Flavor appFlavor;
  static const DEFAULT_APP_HOST = "https://demo1.vereign.com";

  static Map<String, String> getOAuthParams({host = DEFAULT_APP_HOST}) {
    return {
      "clientId": "123123",
      "clientSecret": "123123",
      "redirectUrl": "app://com.vereign.app/oauth2",
      "authEndpoint": "$host/api/oauth2/authorize",
      "tokenEndpoint": "$host/api/oauth2/token",
    };
  }
}
